Bug 198670 - [macOS WK2] Layout Test http/tests/storageAccess/request-and-grant-access-then-navigate-cross-site-should-not-have-access.html is a flaky timeout
Summary: [macOS WK2] Layout Test http/tests/storageAccess/request-and-grant-access-the...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: katherine_cheney
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-06-07 11:29 PDT by Ryan Haddad
Modified: 2019-10-23 15:39 PDT (History)
5 users (show)

See Also:


Attachments
Patch (3.37 KB, patch)
2019-10-23 11:12 PDT, katherine_cheney
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Haddad 2019-06-07 11:29:26 PDT
The following layout test is a flaky timeout on macOS WK2

http/tests/storageAccess/request-and-grant-access-then-navigate-cross-site-should-not-have-access.html

Probable cause:

Unknown, the regression point (if any) is not visible on the flakiness dashboard. The test often completes in a few seconds, but it seems to be timing out a few times a day on the bots.

Flakiness Dashboard:

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=http%2Ftests%2FstorageAccess%2Frequest-and-grant-access-then-navigate-cross-site-should-not-have-access.html
Comment 1 Radar WebKit Bug Importer 2019-06-07 11:29:49 PDT
<rdar://problem/51529251>
Comment 2 Ryan Haddad 2019-07-15 21:44:46 PDT
Marked test as flaky in https://trac.webkit.org/changeset/247475/webkit
Comment 3 katherine_cheney 2019-10-23 11:12:34 PDT
Created attachment 381700 [details]
Patch
Comment 4 John Wilander 2019-10-23 13:32:26 PDT
Comment on attachment 381700 [details]
Patch

Great!
Comment 5 WebKit Commit Bot 2019-10-23 15:39:41 PDT
Comment on attachment 381700 [details]
Patch

Clearing flags on attachment: 381700

Committed r251504: <https://trac.webkit.org/changeset/251504>
Comment 6 WebKit Commit Bot 2019-10-23 15:39:43 PDT
All reviewed patches have been landed.  Closing bug.